Bug 499697

Summary: failure to install new kvm packages on FC10 -> FC11 DVD upgrade
Product: [Fedora] Fedora Reporter: Marcelo Tosatti <mtosatti>
Component: qemuAssignee: Glauber Costa <gcosta>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: urgent    
Version: rawhideCC: berrange, clalance, dcantrell, dwmw2, ehabkost, gcosta, itamar, markmc, quintela, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-13 06:13:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
manual install of qemu-kvm packages on fc11-preview
none
upgrade.log FC10 -> FC11 none

Description Marcelo Tosatti 2009-05-07 13:48:42 EDT
Description of problem:

After upgrade to Fedora 11 Preview from installer, the qemu-kvm binaries were
not updated. I had to do it manually:


[root@amt ~]# cat /etc/redhat-release
Fedora release 10.92 (Rawhide)
[root@amt ~]# rpm -qi kvm
Name        : kvm                          Relocations: (not relocatable)
Version     : 74                                Vendor: Fedora Project
Release     : 10.fc10                       Build Date: Mon 22 Dec 2008 03:52:39 PM BRST
Install Date: Fri 26 Dec 2008 12:26:57 PM BRST      Build Host: xenbuilder2.fedora.redhat.com


Version-Release number of selected component (if applicable):

Fedora 11 Preview 
How reproducible:

Haven't attempted the upgrade more than once.

Steps to Reproduce:
1. Install FC10, upgrade to latest package.
2. Boot with FC11-Preview-DVD, upgrade, "wait a little while".
3. the new qemu-kvm packages will not be installed
  
Actual results:

Expected results:

Additional info:

Attaching the log of the manual install which might help improve the upgrade
procedure.
Comment 1 Marcelo Tosatti 2009-05-07 13:50:12 EDT
Created attachment 342896 [details]
manual install of qemu-kvm packages on fc11-preview
Comment 2 Mark McLoughlin 2009-05-07 14:10:15 EDT
Uggh, we really need this one fixed
Comment 3 Mark McLoughlin 2009-05-11 11:49:09 EDT
Moving it onto the blocker list for now, we should be able to get this fixed for GA
Comment 4 Mark McLoughlin 2009-05-11 17:19:34 EDT
Hmm, well a "yum --enablerepo=rawhide update kvm" on F10 looks like it does the right thing and installs qemu-system-x86_64

On the machine you upgraded, anaconda should have dumped some logs. Anything interesting in them?
Comment 5 Marcelo Tosatti 2009-05-11 18:58:18 EDT
Mark,

If you look at the first attachment the problem apparently was due to the installed kqemu packages.

Attaching upgrade.log. All it says is:

Upgrading qemu-img-0.10-12.fc11.x86_64
Comment 6 Marcelo Tosatti 2009-05-11 19:00:06 EDT
Created attachment 343514 [details]
upgrade.log FC10 -> FC11
Comment 7 Mark McLoughlin 2009-05-12 09:52:48 EDT
(In reply to comment #5)

> If you look at the first attachment the problem apparently was due to the
> installed kqemu packages.

Yeah, it may well have to do with the kqemu packages, but I'm not sure how.

kqemu requires qemu >= 0.9.1, which the update to qemu-0.10 would satisfy

Updating qemu would pull in all the qemu sub-packages, including qemu-system-x86_64

qemu-system-x86_64 obsoletes kvm-74, causing it to be deleted

i.e. if you had done "yum update qemu" instead of "yum install qemu-kvm", I would have expected it to work
Comment 8 Jesse Keating 2009-05-12 16:54:02 EDT
I agree, a normal upgrade seems to do the right thing.  Adding in 3rd party packages may cause breakage, but that's what you get with 3rd party packages.  Moving this off the blocker list, I'm not even sure we need to "fix" anything here.
Comment 9 Mark McLoughlin 2009-05-13 06:13:35 EDT
Okay, closing this as INSUFFICIENT_DATA. Let's re-open if we get any more data on exactly how upgrades like Marcelo's gets screwed up